.fc .fc-timeline-overlap-enabled .fc-timeline-lane-frame .fc-timeline-events,
.fc-daygrid-event-dot,
.fc .fc-list-event-dot{
  box-sizing: border-box;
}
.fc .fc-resource-timeline{
border-bottom:1px solid #ccc;
}
/*カレンダー横軸border指定*/
.fc-theme-standard td, .fc-theme-standard th{
  border-color: #ccc;
  border-bottom: 0 none;
}

.fc table{font-size: 16px;}

/* ==============================================================
.年月日、ボタン表示領域指定
============================================================== */
.fc .fc-toolbar-title {
  color: #643232;
}
.fc .fc-toolbar{
  display: table;
  width: 100%;
}
 .fc-toolbar .fc-toolbar-chunk{
  display: table-cell;
  vertical-align: text-bottom;
}
.fc-toolbar-title {
  display: inline-block;
  min-width: 196px;
}
 .fc-toolbar .fc-toolbar-chunk:last-child {
  text-align: right;
 }

.fc .fc-toolbar .fc-button-group{  vertical-align: text-bottom;}
.fc .fc-button.fc-button-primary{
  position: relative;
  display: inline-block;
  padding: 4px 15px;
  color: #fff;
  text-align: center;
  text-decoration: none;
  white-space: nowrap;
  background-color: #e95419;;
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.1);
  border: 0 none;
  border-radius: 8px;
  vertical-align: text-bottom;
}
.fc-direction-ltr .fc-button-group > .fc-button:not(:first-child){
  /*border-left: 1px solid #494949;*/
  margin-left: 10px;
}

.fc .fc-button.fc-button-primary:hover{
  top:2px;
   background-color: #2d2d2d;
}
.fc .fc-button.fc-button-primary:disabled{
  box-shadow: none;
}
.fc .fc-button.fc-button-primary:disabled:hover{
  top: 0;
  background-color: #3c3c3c;
}


/* ==============================================================
.fc-view-harness カレンダー表示領域指定
============================================================== */
.fc-view-harness {
  min-height: 350px!important;
  margin-bottom: 16px;
}

/* ==============================================================
共通幅指定
============================================================== */
/* 左見出し領域のtd幅 */
.fc-scrollgrid > colgroup col:first-child,
.fc-scrollgrid .fc-datagrid-body > colgroup col:first-child{
  width:40px!important;
}
/*左見出し非表示のtd幅*/
.fc-scrollgrid > colgroup col:nth-child(2),
.fc-scrollgrid .fc-datagrid-body > colgroup col:nth-child(2){
  width: 0!important;
  visibility: hidden;
}

/* カレンダー領域のtable幅 */
.fc-timeline-body,
.fc-timeline-header,
.fc-scrollgrid-section-header .fc-timeline-header .fc-scrollgrid-sync-table,
.fc-scrollgrid-section-body .fc-timeline-body table {
  /*width: auto!important;*/
  min-width: 930px!important;
}
@media screen and (min-width: 992px) {
  .fc-timeline-body,
  .fc-scrollgrid-section-header .fc-timeline-header .fc-scrollgrid-sync-table,
  .fc-scrollgrid-section-body .fc-timeline-body table {
    width: 100%!important;
  }
}
/* カレンダー領域のtd幅 */
.fc-scrollgrid-section-header .fc-timeline-header colgroup col,
.fc-scrollgrid-section-body .fc-timeline-body colgroup col {
  width: auto!important;
  min-width: 30px!important;
}

.fc-timeline-header{
  border-top: 1px solid #ccc;
}

/* ==============================================================
.fc-scrollgrid-section-header 1行目：日付表示行指定
============================================================== */
/*縦スクロールの削除*/
.fc-scrollgrid-section-header .fc-scroller,
.fc-scrollgrid-section-body .fc-scroller{
  /*overflow-y:visible!important;*/
  overflow-x:auto!important;
}

/* カレンダー左上 */
.fc-scrollgrid-section-header > th:first-child .fc-datagrid-header {
  display: none;
}
.fc-scrollgrid-section-header > th:first-child{
  overflow: hidden;
  height: 56px!important;
  background-color: #ffe100;
}
.fc-timeline-slot-frame{
	height: 56px!important;
}

/* 日付スタイル */
th.fc-day{
  font-weight: normal;
  font-size: 14px;
  border: solid 1px #ccc;
}
th.fc-day a{
	text-decoration: none;
	color: #2d2d2d;
}
th.fc-day .text-wod { color: #7b7473;} /*曜日カラー*/
th.fc-day-sun .text-wod { color:#e42c1f;} /*日曜日カラー*/
th.fc-day-sat .text-wod { color:#04aefe; } /*土曜日カラー*/

/* ==============================================================
.fc-scrollgrid-section-body 2行目以降：タイムライン表示行指定
============================================================== */
.fc-scrollgrid {
	background-color: #fff;
}
.fc-theme-standard .fc-scrollgrid{ border: none;}
.fc .fc-datagrid-cell-cushion{
  overflow: visible;
  writing-mode: vertical-lr;
}

.fc-scrollgrid-section-body>td:first-child{
  background-color: #636363;
  color: #fff;
  font-size: 16px;
}


/*左側見出し表示調整*/
.fc-scrollgrid-section-body > td:first-child .fc-scroller.fc-scroller-liquid-absolute {
overflow: hidden!important;
}

.fc-sticky{ position: relative;}
.fc-datagrid-cell{
  writing-mode: vertical-lr;
}
.fc-datagrid-cell-main{
    writing-mode: vertical-lr;
    display: inline-block;
}


/*本場*/
.fc-datagrid-body td[data-resource-id="honjoRace"]{
  background-color: #3c3c3c;
}

@-moz-document url-prefix(){
  .fc-datagrid-body td[data-resource-id="honjoRace"] .fc-datagrid-cell-cushion{
    padding-left: 8px;
    padding-right: 8px;
  }
}
.fc-datagrid-cell-frame{
  width: 100%;
}

/*イベントバー（開催情報）の指定
------------------------------------------------------------ */
a.fc-timeline-event{
  align-items: center;
  justify-content: center;
  flex-direction: column;
  background-color: #f6f8fa!important;
  color: #2d2d2d!important;
  border: solid 1px #ccc!important;
  text-align: center;
  font-size: 13px;
  overflow: hidden;
  margin-bottom: 0;
}

/* 本場 */
a.fc-timeline-event[style="border-color: blue; background-color: blue;"]{
    background-color: #f5f3d9!important;
    height: 130px!important;
}
/*場外*/
a.fc-timeline-event.jyougaiRace{
  height: 90px!important;
}
.fc-event-selected, .fc-event:focus{box-shadow: none;}
.fc-timeline-event .fc-event-main{
  flex-grow: 0;
}
/*レース名表示*/
.fc-h-event .fc-event-main{
  color: #2d2d2d!important;
  white-space:normal;
}
.fc-timeline-event .fc-event-title{
  color: #2d2d2d!important;
  white-space:normal;
  line-height: 1.2;
  padding: 0 0 2px 0;
}
/*グレードアイコン*/
.icon-grade{
  margin-bottom: 2px;
  color: #fff;
  text-align: center;
  white-space: nowrap;
  border-radius: 8px;
  min-width: 40px;
  line-height: 14px;
  font-size: 12px;
}
.icon-grade.gp { background-image:linear-gradient(45deg, #fcee6c 0%, #ffbf35 72%, #bd9131 100%); }
.icon-grade.g1 { background-image: linear-gradient(45deg, #ed6c4d 0%, #e62e02 72%, #e62e02 100%); }
.icon-grade.g2 { background-image: linear-gradient(45deg, #9a68bf 0%, #744199 72%, #744199 100%); }
.icon-grade.g3 { background-image: linear-gradient(45deg, #9a68bf 0%, #744199 72%, #744199 100%); }
.icon-grade.f1 { background-image: linear-gradient(45deg, #ffa333 0%, #ff8c00 72%, #ff8c00 100%); }
.icon-grade.f2 { background-image:linear-gradient(45deg, #63c9f1 0%, #3a82d4 72%, #0880cf 100%); }

.icon-time, .icon-girls{
  display: inline-block;
  width: 16px;
  height: 0;
  padding-top: 16px;
  overflow: hidden;
  vertical-align: text-bottom;
  background-repeat: no-repeat;
  background-position: 0 0;
  background-size: 16px 16px;
}
.icon-time.nighter { background-image: url(../images/icon_nighter.png); }
.icon-time.midnight { background-image: url(../images/icon_midnight.png); }
.icon-time.morning { background-image: url(../images/icon_morning.png); }
.icon-time.summertime { background-image: url(../images/icon_summertime.png); }
.icon-girls { background-image: url(../images/icon_girls.png); }

.list-inline .icon-time,.list-inline .icon-girls {
  vertical-align: middle;
}

/* 区切り線非表示化 */
/*.fc-scrollgrid-sync-table tr:first-child td.fc-timeline-lane.fc-resource,
.fc-scrollgrid-sync-table tr:nth-child(3) td.fc-timeline-lane.fc-resource,
.fc-scrollgrid-sync-table tr:nth-child(5) td.fc-timeline-lane.fc-resource,
.fc-scrollgrid-sync-table tr:last-child td.fc-timeline-lane.fc-resource { border-color: transparent;}
.fc-theme-standard .fc-scrollgrid-sync-table tr:last-child td{border-top: 0 none;}*/
.fc-direction-ltr .fc-timeline-event.fc-event-end, .fc-direction-ltr .fc-timeline-more-link{margin-right: 0;}
/* ==============================================================
その他
============================================================== */
.fc-timeline-event::before,.fc-timeline-event::after{display: none;}
.fc-highlight{display: none;}


/* ==============================================================
.カレンダー表示エリア装飾
============================================================== */
.top-schedule .container {
  background-color: rgba(255, 255, 255, 0.9);
  border-radius: 10px;
  padding-top: 10px;
  padding-bottom: 10px;
}

/* ==============================================================
.開催カレンダー
============================================================== */
/* 左の「本場／場外デイ／場外ナイター」列の横スクロールを無効化
------------------------------------------------------------ */
.fc-scrollgrid-section-body > td:first-child .fc-scroller {
  overflow: hidden !important;
}
/* 表示行制限
------------------------------------------------------------ */
.fc-scrollgrid-section-body > td:first-child .fc-scroller {
  overflow: hidden !important;
}
.fc-timeline-event .fc-event-title {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 4; /* ← 最大行数 */
  overflow: hidden;
}
